tosca_definitions_version: tosca_simple_yaml_1_0

# compile this with "m4 vnodlocal.m4 > vnodlocal.yaml"

# include macros
include(macros.m4)

node_types:
    
    tosca.nodes.VNodLocalService:
        derived_from: tosca.nodes.Root
        description: >
            CORD: The VNodLocal Service.
        capabilities:
            xos_base_service_caps
        properties:
            xos_base_props
            xos_base_service_props
            rest_hostname:
                type: string
                required: false
            rest_port:
                type: string
                required: false
            rest_user:
                type: string
                required: false
            rest_pass:
                type: string
                required: false
